<?php 
require_once("connect.php");

if(isset($_POST['ds_cpf_cnpj'])){
    $ds_cnpj_cpf = $_POST['ds_cpf_cnpj'];

    if(strlen($ds_cnpj_cpf) == 11 || strlen($ds_cnpj_cpf) == 14) {
        $sql = "select  fl_consiste_credito
            	   ,vl_limite_credito
                   ,sum(fl.vl_saldo - fl.vl_desconto) as saldo_atual
            	from erpc_clientes c
            		inner join erpc_pedidos_venda_liberados pv
            			on c.id = pv.id_cliente
            		inner join erpc_financeiro_lancamentos fl
            			on pv.id = fl.id_pedido_venda_liberado
            	where c.ds_cnpj_cpf = '$ds_cnpj_cpf'
            		and id_status_baixa = 2";
    }else{
        $sql = "select  fl_consiste_credito
            	   ,vl_limite_credito
                   ,sum(fl.vl_saldo - fl.vl_desconto) as saldo_atual
            	from erpc_clientes c
            		inner join erpc_pedidos_venda_liberados pv
            			on c.id = pv.id_cliente
            		inner join erpc_financeiro_lancamentos fl
            			on pv.id = fl.id_pedido_venda_liberado
            	where c.id = '$ds_cnpj_cpf'
            		and id_status_baixa = 2";
    }
    
    
    
    $retorno = array( "fl_consite_credito" => ''
                     ,"vl_limite_credito"  => '0.00'
                     ,"saldo_atual" => '0.00'
                );
    
    $result = mysqli_query($conexao, $sql);
    
    if(mysqli_num_rows($result)>0){
        $result = mysqli_fetch_array($result);
        
        $fl_consiste_credito = $result['fl_consiste_credito'];
        $vl_limite_credito  = $result['vl_limite_credito'];
        $vl_saldo_atual = $result['saldo_atual'];
        
        $retorno['fl_consiste_credito'] = $fl_consiste_credito;
        $retorno['vl_limite_credito'] = $vl_limite_credito;
        $retorno['vl_saldo_atual'] = $vl_saldo_atual;
    }
    
    echo json_encode($retorno);
    
}elseif(isset($_POST['id_condicao_pagamento'])){
        
    /*
    $ar_consiste = array( 'fl_consiste_credito' => ''
                         ,'teste' => '3'
    );
    */
    
    $id_id_condicao_pagamento = $_POST['id_condicao_pagamento'];
    $sql = "select fl_consiste_credito from erpc_condicao_pagamento where id = $id_id_condicao_pagamento";
    $result = mysqli_fetch_array(mysqli_query($conexao, $sql));
    //$result = mysqli_fetch_array($result);
    $fl_consiste_credito = $result['fl_consiste_credito'];
    //$ar_consiste['fl_consiste_credito'] = $fl_consiste_credito;
    //echo json_encode($fl_consiste_credito);
    echo $fl_consiste_credito;
}
?>






















